commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dennis Lundberg (JIRA)" <j...@apache.org>
Subject [jira] Updated: (LOGGING-4) [logging] LogFactoryImpl does not compile on JDK1.2
Date Tue, 29 Dec 2009 16:14:29 GMT

     [ https://issues.apache.org/jira/browse/LOGGING-4?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dennis Lundberg updated LOGGING-4:
----------------------------------

    Fix Version/s: 1.1.0

> [logging] LogFactoryImpl does not compile on JDK1.2
> ---------------------------------------------------
>
>                 Key: LOGGING-4
>                 URL: https://issues.apache.org/jira/browse/LOGGING-4
>             Project: Commons Logging
>          Issue Type: Bug
>    Affects Versions: 1.0.4
>         Environment: Operating System: All
> Platform: All
>            Reporter: Karl
>             Fix For: 1.1.0
>
>
> When you compile using JDK1.2 you get the following error message:
> [javac]
> /home/kstrauss/cvs/updated/PSI_PsUtil/org/apache/commons/logging/impl/LogFactoryImpl.java:457:
> No method matching getContextClassLoader() found in class
> org.apache.commons.logging.impl.LogFactoryImpl.
>     [javac]                     ClassLoader threadCL = getContextClassLoader();
> It does however compile succesfully under JDK1.4
> I believe that this is related to a bug in the Javac compiler (see
> http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4269441)
> Using this as a base the following addition will enable the class to compile
> under JDK1.2.
> protected static ClassLoader getContextClassLoader() throws
> LogConfigurationException
> {
>             return LogFactory.getContextClassLoader();
> }
> Can we add this?

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message